﻿' Copyright (C) Kentaro HARA 2012. All rights reserved.
Imports System.Runtime.InteropServices

Module Declares
    ' WAVE ファイルのフォーマットタグ。
    Public Const WAVE_FORMAT_PCM = 1

    ' WAVEFORMAT 構造体。
    Structure WAVEFORMAT
        Public wFormatTag As Short
        Public nChannels As Short
        Public nSamplesPerSec As Integer
        Public nAvgBytesPerSec As Integer
        Public nBlockAlign As Short
    End Structure

    ' PCMWAVEFORMAT 構造体。
    Structure PCMWAVEFORMAT
        Public wf As WAVEFORMAT
        Public wBitsPerSample As Short
    End Structure

    ' WAVE ファイルのヘッダ。
    <StructLayout(LayoutKind.Sequential, CharSet:=CharSet.Ansi)> _
    Structure WAVEFILEHEADER
        <VBFixedString(4), MarshalAs(UnmanagedType.ByValTStr, SizeConst:=4)> _
        Public ckidRIFF As String
        Public ckSizeRIFF As Integer
        <VBFixedString(4), MarshalAs(UnmanagedType.ByValTStr, SizeConst:=4)> _
        Public fccType As String
        <VBFixedString(4), MarshalAs(UnmanagedType.ByValTStr, SizeConst:=4)> _
        Public ckidFmt As String
        Public ckSizeFmt As Integer
        Public WaveFmt As PCMWAVEFORMAT
        <VBFixedString(4), MarshalAs(UnmanagedType.ByValTStr, SizeConst:=4)> _
        Public ckidData As String
        Public ckSizeData As Integer
    End Structure
End Module
